package main

import (
	"cicv-data-closedloop/pjisuv_msgs"
	"fmt"
)

func Topic() string {
	return "/cicv_location"
}

func Label() string {
	return "RapidAccel"
}

func Rule(data *pjisuv_msgs.PerceptionLocalization) string {
	defer func() {
		if r := recover(); r != nil {
			fmt.Println("Recovered from panic:", r)
		}
	}()
	if data.AccelX*9.8 > 5.0 {
		return "RapidAccel"
	} else {
		return ""
	}
}
