package kinglong_param

type KinglongParam struct {
	// /cicv_location
	VelocityXOfCicvLocation        float64
	VelocityYOfCicvLocation        float64
	YawOfCicvLocation              float64
	AngularVelocityZOfCicvLocation float64

	// /tpperception
	ObjDicOfTpperception      map[uint32][]float32
	ObjTypeDicOfTpperception  map[uint32]uint8
	ObjSpeedDicOfTpperception map[uint32]float64

	// /pji_control_pub
	NumCountJinlongControlCommandOfPjControlPub int
	EgoSteeringCmdOfJinlongControlPub           []float64
	EgoThrottleCmdOfJinlongControlPub           []float64
	EgoBrakeCmdOfJinlongControlPub              []float64
	// /data_read
	NumCountDataReadOfDataRead int
	EgoSteeringRealOfDataRead  []float64
	EgoThrottleRealOfDataRead  []float64
	EgoBrakeRealOfDataRead     []float64
}
