package pjisuv_param

type PjisuvParam struct {
	// /cicv_location
	VelocityXOfCicvLocation        float64
	VelocityYOfCicvLocation        float64
	VelocityZOfCicvLocation        float64
	YawOfCicvLocation              float64
	AngularVelocityZOfCicvLocation float64
	PositionXOfCicvLocation        float64
	PositionYOfCicvLocation        float64

	// /tpperception
	ObjDicOfTpperception      map[uint32][]float32
	ObjTypeDicOfTpperception  map[uint32]uint8
	ObjSpeedDicOfTpperception map[uint32]float64

	// /pji_control_pub
	NumCountPjiControlCommandOfPjControlPub int
	EgoSteeringCmdOfPjControlPub            []float64
	EgoThrottleCmdOfPjControlPub            []float64
	// /data_read
	NumCountDataReadOfDataRead   int
	EgoSteeringRealOfDataRead    []float64
	EgoThrottleRealOfDataRead    []float64
	StrgAngleRealValueOfDataRead float64
	// /pj_vehicle_fdb_pub
	AutomodeOfPjVehicleFdbPub int16

	// /cicv_amr_trajectory
	LastCurvaturesOfCicvAmrTrajectory []float64
}
