package main

import (
	"cicv-data-closedloop/pjisuv_msgs"
	"cicv-data-closedloop/pjisuv_param"
	"fmt"
)

func Topic() string {
	return "/tpperception"
}

// Label todo 禁止存在下划线_
func Label() string {
	return "NumTargetsExceedThreshold"
}
func Rule(data *pjisuv_msgs.PerceptionObjects, param *pjisuv_param.PjisuvParam) string {
	NumTargets := 0
	defer func() {
		if r := recover(); r != nil {
			fmt.Println("Recovered from panic:", r)
		}
	}()

	if param.VelocityXOfCicvLocation > 2.5 && len(data.Objs) > 6 {
		for _, obj := range data.Objs {
			if obj.Type != 0 && obj.X >= 2 {
				NumTargets++
			}
		}
		//fmt.Println(NumTargets)
		if NumTargets >= 5 {
			//event_lable := "NumTargetsExceedThreshold"
			fmt.Printf("NumTargetsExceedThreshold,%d Targets were found\n", NumTargets)
			return "NumTargetsExceedThreshold"
		}
	}
	return ""
}
